export interface NpmRegistryProps {
    readonly next: boolean;
    readonly registry: string;
}
export declare namespace NpmRegistryProps {
    const DEFAULT: NpmRegistryProps;
}
export interface ApplicationProps extends NpmRegistryProps {
    readonly [key: string]: any;
    readonly target: ApplicationProps.Target;
    readonly frontend: Readonly<{
        config: FrontendApplicationConfig;
    }>;
    readonly backend: Readonly<{
        config: BackendApplicationConfig;
    }>;
    readonly generator: Readonly<{
        config: GeneratorConfig;
    }>;
}
export declare namespace ApplicationProps {
    type Target = 'browser' | 'electron';
    const DEFAULT: ApplicationProps;
}
export interface ApplicationConfig {
    readonly [key: string]: any;
}
export interface FrontendApplicationConfig extends ApplicationConfig {
    readonly defaultTheme?: string;
    readonly applicationName: string;
}
export interface BackendApplicationConfig extends ApplicationConfig {
    readonly startupTimeout?: number;
}
export interface GeneratorConfig {
    readonly preloadTemplate: string;
}
